Ethernet Atheros AR8131 (Acer laptops) not working

Bug #386468 reported by acer on 2009-06-12
28
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

Atheros AR8131 Ethernet (Ethernet controller [0200]: Attansic Technology Corp. Device [1969:1063] (rev c0)) is not working on several Acer laptops.

According to "acer" it was fixed in alpha 3, but is now broken in beta and daily (oct 7 & oct 8).

dmesg:
atl1c: probe of 0000:09:00.0 failed with error -5

Attached "uname -a" says that kernel version is 2.6.31-11-generic, but 2.6.31-12-generic is also affected.

acer (ruedi-gantenbein) on 2009-07-26
description: updated
summary: - Ehternet Adaptor Atheros AR8131 (Acer Timeline) not working
+ Ehternet Atheros AR8131 (Acer Timeline) not working

AR8131 Ethernet adapter does not work in Karmic beta. I have Acer Aspire 1410.
Here is the info from lspci:
01:00.0 Ethernet controller [0200]: Attansic Technology Corp. Device [1969:1063] (rev c0)

acer (ruedi-gantenbein) wrote :

try to update your BIOS (3115 2009/09/30) (3117 2009/10/1)

tak1150 (tsuyama) wrote :

At least in live CD desktop of 9.10, the ethernet still did not work even after BIOS update.

tak1150 (tsuyama) on 2009-10-07
description: updated
tak1150 (tsuyama) on 2009-10-07
description: updated
Niclas Lockner (niclasl) wrote :

Same problem for me with my Acer Aspire 5739G
Network manager in karmic beta and daily (oct 7) doesn't find my "Attansic Technology Corp. Device 1063 (rev c0)"
I'm attaching output from lspci -vv, lsmod and uname -a

Niclas Lockner (niclasl) wrote :
Niclas Lockner (niclasl) wrote :
Niclas Lockner (niclasl) wrote :
Niclas Lockner (niclasl) on 2009-10-07
affects: ubuntu → linux (Ubuntu)
Niclas Lockner (niclasl) wrote :
summary: - Ehternet Atheros AR8131 (Acer Timeline) not working
+ Ethernet Atheros AR8131 (Acer Timeline) not working
Changed in linux (Ubuntu):
status: New → Confirmed
Niclas Lockner (niclasl) on 2009-10-08
description: updated
summary: - Ethernet Atheros AR8131 (Acer Timeline) not working
+ Ethernet Atheros AR8131 (Acer laptops) not working
Daniel Holbach (dholbach) wrote :

Ubuntu Drivers is a totally unrelated team. Unsubscribing.

Matt Zimmerman (mdz) on 2009-10-08
tags: added: regression-potential
Niclas Lockner (niclasl) wrote :

It's possible that tis bug is a duplicate of #418933
Adding "acpi=off" solved the problem for me.

Andy Whitcroft (apw) on 2009-10-08
Changed in linux (Ubuntu):
importance: Undecided → Low
Andy Whitcroft (apw) wrote :

So the fix mooted in bug #418933 is not in linus' tree yet, but looks to be well on the way. I have applied the same fix to current karmic kernel and built test kernels. If those afffected could test the kernels at the URL below and report back here that would be great. Kernels are at the following URL:

    http://people.canonical.com/~apw/lp386468-karmic/

Changed in linux (Ubuntu):
assignee: nobody → Andy Whitcroft (apw)
status: Confirmed → Incomplete
Niclas Lockner (niclasl) wrote :

Andy, your kernel works as expected. Thank you!

a cool (acool41) wrote :

running 9.04 of easy peasy netbook distro its still an issue, simply no Ethernet at all.

tags: added: regression-release
removed: regression-potential
tags: added: karmic
mdalacu (mdalacu) wrote :

not working also on Asus EeePC 1201N :(

Savvas Radevic (medigeek) wrote :

Someone mentioned that this is fixed building and using some atheros drivers:
http://ubuntuforums.org/showthread.php?t=1255082

Adam Niedling (krychek) wrote :

This is still an issue in Lucid with a Acer 4810T laptop. Wired NIC is not managed.

02:00.0 Ethernet controller [0200]: Atheros Communications AR8131 Gigabit Ethernet [1969:1063] (rev c0)
 Subsystem: Acer Incorporated [ALI] Device [1025:022b]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 29
 Region 0: Memory at d3000000 (64-bit, non-prefetchable) [size=256K]
 Region 2: I/O ports at 3000 [size=128]
 Capabilities: <access denied>
 Kernel driver in use: atl1c
 Kernel modules: atl1c

Changed in linux (Ubuntu):
status: Incomplete → New
Andy Whitcroft (apw) on 2010-06-18
Changed in linux (Ubuntu):
assignee: Andy Whitcroft (apw) → nobody
Jeremy Foshee (jeremyfoshee) wrote :

Hi acer,

This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 386468

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu release http://www.ubuntu.com/getubuntu/download . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Expired
Adam Niedling (krychek) wrote :

Please disregard my comment above. My wired NIC is working after following these instructions:

http://ubuntuforums.org/showpost.php?p=6975928&postcount=3

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers